package org.dromara.ems.record.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import cn.idev.excel.annotation.format.DateTimeFormat;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 物联网实时数据对象 T_W_TempertureData
 * 
 * @author Caoql
 * @date 2024-08-21
 */
@ExcelIgnoreUnannotated
public class TWTempertureData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long objid;

    /** 计量设备编号 */
    @ExcelProperty(value = "计量设备编号")
    private String monitorId;

    /**计量设备名称**/
    @ExcelProperty(value = "计量设备名称")
    private String monitorName;

    /** 采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = "采集时间")
    private Date collectTime;

    /** 温度 */
    @ExcelProperty(value = "温度")
    private BigDecimal tempreture;

    /** 湿度 */
    @ExcelProperty(value = "湿度")
    private BigDecimal humidity;

    /** 照度 */
    @ExcelProperty(value = "照度")
    private BigDecimal illuminance;

    /** 噪声 */
    @ExcelProperty(value = "噪声")
    private BigDecimal noise;

    /** 硫化氢浓度 */
    @ExcelProperty(value = "硫化氢浓度")
    private BigDecimal concentration;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = "记录时间")
    private Date recodeTime;

    /** 报警类型 */
    @ExcelProperty(value = "报警类型")
    private Long alarmType;

    /**   */
    @ExcelProperty(value = " ")
    private Long confirmPersonID;

    /**   */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = " ")
    private Date confirmTime;

    /**   */
    @ExcelProperty(value = " ")
    private Long confirmFlag;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setMonitorId(String monitorId) 
    {
        this.monitorId = monitorId;
    }

    public String getMonitorId() 
    {
        return monitorId;
    }
    public void setCollectTime(Date collectTime) 
    {
        this.collectTime = collectTime;
    }

    public Date getCollectTime() 
    {
        return collectTime;
    }
    public void setTempreture(BigDecimal tempreture) 
    {
        this.tempreture = tempreture;
    }

    public BigDecimal getTempreture() 
    {
        return tempreture;
    }
    public void setHumidity(BigDecimal humidity) 
    {
        this.humidity = humidity;
    }

    public BigDecimal getHumidity() 
    {
        return humidity;
    }
    public void setIlluminance(BigDecimal illuminance) 
    {
        this.illuminance = illuminance;
    }

    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    public BigDecimal getIlluminance() 
    {
        return illuminance;
    }
    public void setNoise(BigDecimal noise) 
    {
        this.noise = noise;
    }

    public BigDecimal getNoise() 
    {
        return noise;
    }
    public void setConcentration(BigDecimal concentration) 
    {
        this.concentration = concentration;
    }

    public BigDecimal getConcentration() 
    {
        return concentration;
    }
    public void setRecodeTime(Date recodeTime) 
    {
        this.recodeTime = recodeTime;
    }

    public Date getRecodeTime() 
    {
        return recodeTime;
    }
    public void setAlarmType(Long alarmType) 
    {
        this.alarmType = alarmType;
    }

    public Long getAlarmType() 
    {
        return alarmType;
    }
    public void setConfirmPersonID(Long confirmPersonID) 
    {
        this.confirmPersonID = confirmPersonID;
    }

    public Long getConfirmPersonID() 
    {
        return confirmPersonID;
    }
    public void setConfirmTime(Date confirmTime) 
    {
        this.confirmTime = confirmTime;
    }

    public Date getConfirmTime() 
    {
        return confirmTime;
    }
    public void setConfirmFlag(Long confirmFlag) 
    {
        this.confirmFlag = confirmFlag;
    }

    public Long getConfirmFlag() 
    {
        return confirmFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("monitorId", getMonitorId())
            .append("collectTime", getCollectTime())
            .append("tempreture", getTempreture())
            .append("humidity", getHumidity())
            .append("illuminance", getIlluminance())
            .append("noise", getNoise())
            .append("concentration", getConcentration())
            .append("recodeTime", getRecodeTime())
            .append("alarmType", getAlarmType())
            .append("confirmPersonID", getConfirmPersonID())
            .append("confirmTime", getConfirmTime())
            .append("confirmFlag", getConfirmFlag())
            .toString();
    }
}
